include:
  - local: .gitlab-ci.dev-variables.yml
  - local: .gitlab-ci.variables.yml

test:
  tags:
    - shell
    - lab
  stage: deploy
  script:
    - ssh-keyscan -H -t rsa ${DEV_DOCKER_IMAGE_HOST_FQDN} >> ~/.ssh/known_hosts
    - echo -n ${DEV_DOCKER_IMAGE_HOST_PRIVATE_KEY} | base64 --decode > ~/.ssh/dev_docker_image_host_private_key && chmod 600 ~/.ssh/dev_docker_image_host_private_key
    - ssh -i ~/.ssh/dev_docker_image_host_private_key ${DEV_DOCKER_IMAGE_HOST_USERNAME}@${DEV_DOCKER_IMAGE_HOST_FQDN} "docker save ${DEV_DOCKER_IMAGE_NAME:=$DOCKER_IMAGE_NAME}:${DEV_DOCKER_IMAGE_TAG:=$DOCKER_IMAGE_TAG} | gzip > /tmp/${DEV_DOCKER_IMAGE_NAME:=$DOCKER_IMAGE_NAME}:${DEV_DOCKER_IMAGE_TAG:=$DOCKER_IMAGE_TAG}.tar.gz"
    - scp -i ~/.ssh/dev_docker_image_host_private_key ${DEV_DOCKER_IMAGE_HOST_USERNAME}@${DEV_DOCKER_IMAGE_HOST_FQDN}:/tmp/${DEV_DOCKER_IMAGE_NAME:=$DOCKER_IMAGE_NAME}:${DEV_DOCKER_IMAGE_TAG:=$DOCKER_IMAGE_TAG}.tar.gz /tmp/${DOCKER_IMAGE_NAME}:${DOCKER_IMAGE_TAG}.tar.gz
    - echo -n ${TEST_DOCKER_IMAGE_HOST_PRIVATE_KEY} | base64 --decode > ~/.ssh/test_docker_image_host_private_key && chmod 600 ~/.ssh/test_docker_image_host_private_key
    - scp -i ~/.ssh/test_docker_image_host_private_key /tmp/${DOCKER_IMAGE_NAME}:${DOCKER_IMAGE_TAG}.tar.gz ${TEST_DOCKER_IMAGE_HOST_USERNAME}@${TEST_DOCKER_IMAGE_HOST_FQDN}:/tmp/${DOCKER_IMAGE_NAME}:${DOCKER_IMAGE_TAG}.tar.gz
    - ssh -i ~/.ssh/test_docker_image_host_private_key ${TEST_DOCKER_IMAGE_HOST_USERNAME}@${TEST_DOCKER_IMAGE_HOST_FQDN} "docker import /tmp/${DOCKER_IMAGE_NAME}:${DOCKER_IMAGE_TAG}.tar.gz ${DOCKER_IMAGE_NAME}:${DOCKER_IMAGE_TAG}"
